package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.SysUserContractRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022-06-16 13:47:21
 */
@ApiModel(value = "SysUserContractRecordVo对象", description = "用户协议记录表-一个用户一种协议一个版本一条记录查询视图对象")
public class SysUserContractRecordVo extends SysUserContractRecord{
	private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "协议名称")
    private String templateName;
    @ApiModelProperty(value = "协议类型")
    private String templateType;
    @ApiModelProperty(value = "协议版本")
    private Integer version;

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getTemplateType() {
        return templateType;
    }

    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

}